### Method

# Cogl MatrixStack frustum

#### Declaration [src]

    void
    cogl_matrix_stack_frustum (
      CoglMatrixStack* stack,
      float left,
      float right,
      float bottom,
      float top,
      float z_near,
      float z_far
    )

#### Description [src]

Replaces the current matrix with a perspective matrix for a given viewing frustum defined by 4 side clip planes that all cross through the origin and 2 near and far clip planes.

#### Parameters

`left`

  Type: `float`

  X position of the left clipping plane where it intersects the near clipping plane.

`right`

  Type: `float`

  X position of the right clipping plane where it intersects the near clipping plane.

`bottom`

  Type: `float`

  Y position of the bottom clipping plane where it intersects the near clipping plane.

`top`

  Type: `float`

  Y position of the top clipping plane where it intersects the near clipping plane.

`z_near`

  Type: `float`

  The distance to the near clipping plane (Must be positive).

`z_far`

  Type: `float`

  The distance to the far clipping plane (Must be positive).